<snack-bar *ngIf="errMsg" [texto]="errMsg"></snack-bar>

<div class="nav">
    <label>De <br>
        <input type="date" class="bg-dark" [(ngModel)]="dataDe">
    </label>
    <label>Até <br>
        <input type="date" class="bg-dark" [(ngModel)]="dataAte">
    </label>
    <label>Categoria <br>
        <select class="bg-dark" style="width: 300px;" [(ngModel)]="tag">
            <option *ngFor="let c of categor; let i = index" value="{{ i }}">{{ c }}</option>
        </select>
    </label>
    <button class="btn btn-dark" (click)="filtrar()">FILTRAR</button>
    <button class="btn btn-dark" (click)="limpar()">LIMPAR</button>
    <button class="btn btn-dark" style="justify-self: right;" (click)="voltar()">VOLTAR</button>
</div>

<table class="table table-dark table-sm">
    <thead>
        <th>Id</th>
        <th>Descrição</th>
        <th>Valor</th>
        <th>Data</th>
        <th>Categoria</th>
    </thead>
    <tbody>
        <tr *ngFor="let item of itensFiltrados">
            <td style="width: 5%;">{{ item.id }}</td>
            <td style="width: 55%;">{{ item.description }}</td>
            <td style="width: 10%;">{{ item.value }}</td>
            <td style="width: 10%;">{{ item.date | date }}</td>
            <td style="width: 20%;">{{ categDescrip(item.tag) }}</td>
        </tr>
    </tbody>
</table>
